This fixes the lack of tracing in Makefiles...

Replacing @ with $(Q) in all places except before '@echo' rule commands.

Thanks,

-Philip




--- openssl-0.9.8i/Makefile.org.old 2008-09-15 08:27:21.000000000 -0700
+++ openssl-0.9.8i/Makefile.org 2008-11-09 11:29:40.000000000 -0800
@@ -15,6 +15,10 @@
CONFIGURE_ARGS=
SHLIB_TARGET=

+ifndef Q
+Q:=@
+endif
+
# HERE indicates where this Makefile lives. This can be used to indicate
# where sub-Makefiles are expected to be. Currently has very limited usage,
# and should probably not be bothered with at all.
@@ -220,7 +224,7 @@
fi

reflect:
- @[ -n "$(THIS)" ] && $(CLEARENV) && $(MAKE) $(THIS) -e $(BUILDENV)
+ $(Q)[ -n "$(THIS)" ] && $(CLEARENV) && $(MAKE) $(THIS) -e $(BUILDENV)

sub_all: build_all
build_all: build_libs build_apps build_tests build_tools
@@ -228,24 +232,24 @@
build_libs: build_crypto build_ssl build_engines

build_crypto:
- @dir=crypto; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=crypto; target=all; $(BUILD_ONE_CMD)
build_ssl:
- @dir=ssl; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=ssl; target=all; $(BUILD_ONE_CMD)
build_engines:
- @dir=engines; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=engines; target=all; $(BUILD_ONE_CMD)
build_apps:
- @dir=apps; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=apps; target=all; $(BUILD_ONE_CMD)
build_tests:
- @dir=test; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=test; target=all; $(BUILD_ONE_CMD)
build_tools:
- @dir=tools; target=all; $(BUILD_ONE_CMD)
+ $(Q)dir=tools; target=all; $(BUILD_ONE_CMD)

all_testapps: build_libs build_testapps
build_testapps:
- @dir=crypto; target=testapps; $(BUILD_ONE_CMD)
+ $(Q)dir=crypto; target=testapps; $(BUILD_ONE_CMD)

libcrypto$(SHLIB_EXT): libcrypto.a
- @if [ "$(SHLIB_TARGET)" != "" ]; then \
+ $(Q)if [ "$(SHLIB_TARGET)" != "" ]; then \
$(MAKE) SHLIBDIRS=crypto build-shared; \
else \
echo "There's no support for shared libraries on this platform" >&2; \
@@ -253,7 +257,7 @@
fi

libssl$(SHLIB_EXT): libcrypto$(SHLIB_EXT) libssl.a
- @if [ "$(SHLIB_TARGET)" != "" ]; then \
+ $(Q)if [ "$(SHLIB_TARGET)" != "" ]; then \
$(MAKE) SHLIBDIRS=ssl SHLIBDEPS='-lcrypto' build-shared; \
else \
echo "There's no support for shared libraries on this platform" >&2; \
@@ -261,7 +265,7 @@
fi

clean-shared:
- @set -e; for i in $(SHLIBDIRS); do \
+ $(Q)set -e; for i in $(SHLIBDIRS); do \
if [ -n "$(SHARED_LIBS_LINK_EXTS)" ]; then \
tmp="$(SHARED_LIBS_LINK_EXTS)"; \
for j in $${tmp:-x}; do \
@@ -275,7 +279,7 @@
done

link-shared:
- @ set -e; for i in ${SHLIBDIRS}; do \
+ $(Q) set -e; for i in ${SHLIBDIRS}; do \
$(MAKE) -f $(HERE)/Makefile.shared -e $(BUILDENV) \
LIBNAME=$$i LIBVERSION=${SHLIB_MAJOR}.${SHLIB_MINOR} \
LIBCOMPATVERSIONS=";${SHLIB_VERSION_HISTORY}" \
@@ -286,7 +290,7 @@
build-shared: do_$(SHLIB_TARGET) link-shared

do_$(SHLIB_TARGET):
- @ set -e; libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
+ $(Q) set -e; libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
libs="$(LIBKRB5) $$libs"; \
fi; \
@@ -299,7 +303,7 @@
done

libcrypto.pc: Makefile
- @ ( echo 'prefix=$(INSTALLTOP)'; \
+ $(Q) ( echo 'prefix=$(INSTALLTOP)'; \
echo 'exec_prefix=$${prefix}'; \
echo 'libdir=$${exec_prefix}/lib'; \
echo 'includedir=$${prefix}/include'; \
@@ -312,7 +316,7 @@
echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > libcrypto.pc

libssl.pc: Makefile
- @ ( echo 'prefix=$(INSTALLTOP)'; \
+ $(Q) ( echo 'prefix=$(INSTALLTOP)'; \
echo 'exec_prefix=$${prefix}'; \
echo 'libdir=$${exec_prefix}/lib'; \
echo 'includedir=$${prefix}/include'; \
@@ -325,7 +329,7 @@
echo 'Cflags: -I$${includedir} $(KRB5_INCLUDES)' ) > libssl.pc

openssl.pc: Makefile
- @ ( echo 'prefix=$(INSTALLTOP)'; \
+ $(Q) ( echo 'prefix=$(INSTALLTOP)'; \
echo 'exec_prefix=$${prefix}'; \
echo 'libdir=$${exec_prefix}/lib'; \
echo 'includedir=$${prefix}/include'; \
@@ -340,19 +344,19 @@
Makefile: Makefile.org Configure config
@echo "Makefile is older than Makefile.org, Configure or config."
@echo "Reconfigure the source tree (via './config' or 'perl Configure'), please."
- @false
+ $(Q)false

libclean:
rm -f *.map *.so *.so.* *.dll engines/*.so engines/*.dll *.a engines/*.a */lib */*/lib

clean: libclean
rm -f shlib/*.o *.o core a.out fluff rehash.time testlog make.log cctest cctest.c
- @set -e; target=clean; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; target=clean; $(RECURSIVE_BUILD_CMD)
rm -f $(LIBS)
rm -f openssl.pc libssl.pc libcrypto.pc
rm -f speed.* .pure
rm -f $(TARFILE)
- @set -e; for i in $(ONEDIRS) ;\
+ $(Q)set -e; for i in $(ONEDIRS) ;\
do \
rm -fr $$i/*; \
done
@@ -363,24 +367,24 @@

files:
$(PERL) $(TOP)/util/files.pl Makefile > $(TOP)/MINFO
- @set -e; target=files; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; target=files; $(RECURSIVE_BUILD_CMD)

links:
- @$(PERL) $(TOP)/util/mkdir-p.pl include/openssl
- @$(PERL) $(TOP)/util/mklink.pl include/openssl $(HEADER) $(EXHEADER)
- @set -e; target=links; $(RECURSIVE_BUILD_CMD)
+ $(Q)$(PERL) $(TOP)/util/mkdir-p.pl include/openssl
+ $(Q)$(PERL) $(TOP)/util/mklink.pl include/openssl $(HEADER) $(EXHEADER)
+ $(Q)set -e; target=links; $(RECURSIVE_BUILD_CMD)

gentests:
- @(cd test && echo "generating dummy tests (if needed)..." && \
+ $(Q)(cd test && echo "generating dummy tests (if needed)..." && \
$(CLEARENV) && $(MAKE) -e $(BUILDENV) TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on generate );

dclean:
rm -f *.bak
- @set -e; target=dclean; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; target=dclean; $(RECURSIVE_BUILD_CMD)

rehash: rehash.time
rehash.time: certs
- @(OPENSSL="`pwd`/util/opensslwrap.sh"; \
+ $(Q)(OPENSSL="`pwd`/util/opensslwrap.sh"; \
OPENSSL_DEBUG_MEMORY=on; \
export OPENSSL OPENSSL_DEBUG_MEMORY; \
$(PERL) tools/c_rehash certs)
@@ -389,18 +393,18 @@
test: tests

tests: rehash
- @(cd test && echo "testing..." && \
+ $(Q)(cd test && echo "testing..." && \
$(CLEARENV) && $(MAKE) -e $(BUILDENV) TOP=.. TESTS='${TESTS}' OPENSSL_DEBUG_MEMORY=on tests );
util/opensslwrap.sh version -a

report:
- @$(PERL) util/selftest.pl
+ $(Q)$(PERL) util/selftest.pl

depend:
- @set -e; target=depend; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; target=depend; $(RECURSIVE_BUILD_CMD)

lint:
- @set -e; target=lint; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; target=lint; $(RECURSIVE_BUILD_CMD)

tags:
rm -f TAGS
@@ -457,7 +461,7 @@
ls -l ../$(TARFILE).gz

tar-snap:
- @$(TAR) $(TARFLAGS) -cvf - \
+ $(Q)$(TAR) $(TARFLAGS) -cvf - \
`find * \! -path CVS/\* \! -path \*/CVS/\* \! -name CVS \! -name .cvsignore \! -name STATUS \! -name TABLE \! -name '*.o' \! -name '*.a' \! -name '*.so' \! -name '*.so.*' \! -name 'openssl' \! -name '*test' \! -name '.#*' \! -name '*~' | sort` |\
tardy --user_number=0 --user_name=openssl \
--group_number=0 --group_name=openssl \
@@ -466,9 +470,9 @@

dist:
$(PERL) Configure dist
- @$(MAKE) dist_pem_h
- @$(MAKE) SDIRS='${SDIRS}' clean
- @$(MAKE) TAR='${TAR}' TARFLAGS='${TARFLAGS}' tar
+ $(Q)$(MAKE) dist_pem_h
+ $(Q)$(MAKE) SDIRS='${SDIRS}' clean
+ $(Q)$(MAKE) TAR='${TAR}' TARFLAGS='${TARFLAGS}' tar

dist_pem_h:
(cd crypto/pem; $(MAKE) -e $(BUILDENV) pem.h; $(MAKE) clean)
@@ -476,7 +480,7 @@
install: all install_docs install_sw

install_sw:
- @$(PERL) $(TOP)/util/mkdir-p.pl $(INSTALL_PREFIX)$(INSTALLTOP)/bin \
+ $(Q)$(PERL) $(TOP)/util/mkdir-p.pl $(INSTALL_PREFIX)$(INSTALLTOP)/bin \
$(INSTALL_PREFIX)$(INSTALLTOP)/lib \
$(INSTALL_PREFIX)$(INSTALLTOP)/lib/engines \
$(INSTALL_PREFIX)$(INSTALLTOP)/lib/pkgconfig \
@@ -484,13 +488,13 @@
$(INSTALL_PREFIX)$(OPENSSLDIR)/misc \
$(INSTALL_PREFIX)$(OPENSSLDIR)/certs \
$(INSTALL_PREFIX)$(OPENSSLDIR)/private
- @set -e; headerlist="$(EXHEADER)"; for i in $$headerlist;\
+ $(Q)set -e; headerlist="$(EXHEADER)"; for i in $$headerlist;\
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
done;
- @set -e; target=install; $(RECURSIVE_BUILD_CMD)
- @set -e; for i in $(LIBS) ;\
+ $(Q)set -e; target=install; $(RECURSIVE_BUILD_CMD)
+ $(Q)set -e; for i in $(LIBS) ;\
do \
if [ -f "$$i" ]; then \
( echo installing $$i; \
@@ -500,7 +504,7 @@
mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/lib/$$i ); \
fi; \
done;
- @set -e; if [ -n "$(SHARED_LIBS)" ]; then \
+ $(Q)set -e; if [ -n "$(SHARED_LIBS)" ]; then \
tmp="$(SHARED_LIBS)"; \
for i in $${tmp:-x}; \
do \
@@ -539,12 +543,12 @@
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/lib/pkgconfig/openssl.pc

install_docs:
- @$(PERL) $(TOP)/util/mkdir-p.pl \
+ $(Q)$(PERL) $(TOP)/util/mkdir-p.pl \
$(INSTALL_PREFIX)$(MANDIR)/man1 \
$(INSTALL_PREFIX)$(MANDIR)/man3 \
$(INSTALL_PREFIX)$(MANDIR)/man5 \
$(INSTALL_PREFIX)$(MANDIR)/man7
- @pod2man="`cd util; ./pod2mantest $(PERL)`"; \
+ $(Q)pod2man="`cd util; ./pod2mantest $(PERL)`"; \
here="`pwd`"; \
filecase=; \
if [ "$(PLATFORM)" = "DJGPP" -o "$(PLATFORM)" = "Cygwin" -o "$(PLATFORM)" = "mingw" ]; then \
--- openssl-0.9.8i/apps/Makefile.old 2008-09-14 09:43:32.000000000 -0700
+++ openssl-0.9.8i/apps/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -76,7 +76,7 @@
ALL= $(GENERAL) $(SRC) $(HEADER)

top:
- @(cd ..; $(MAKE) DIRS=$(DIR) all)
+ $(Q)(cd ..; $(MAKE) DIRS=$(DIR) all)

all: exe

@@ -98,22 +98,22 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @set -e; for i in $(EXE); \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)set -e; for i in $(EXE); \
do \
(echo installing $$i; \
cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new; \
chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new; \
mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i ); \
done;
- @set -e; for i in $(SCRIPTS); \
+ $(Q)set -e; for i in $(SCRIPTS); \
do \
(echo installing $$i; \
cp $$i $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i.new; \
chmod 755 $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i.new; \
mv -f $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i.new $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i ); \
done
- @cp openssl.cnf $(INSTALL_PREFIX)$(OPENSSLDIR)/openssl.cnf.new; \
+ $(Q)cp openssl.cnf $(INSTALL_PREFIX)$(OPENSSLDIR)/openssl.cnf.new; \
chmod 644 $(INSTALL_PREFIX)$(OPENSSLDIR)/openssl.cnf.new; \
mv -f $(INSTALL_PREFIX)$(OPENSSLDIR)/openssl.cnf.new $(INSTALL_PREFIX)$(OPENSSLDIR)/openssl.cnf

@@ -128,7 +128,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @if [ -z "$(THIS)" ]; then \
+ $(Q)if [ -z "$(THIS)" ]; then \
$(MAKE) -f $(TOP)/Makefile reflect THIS=$@; \
else \
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(SRC); \
--- openssl-0.9.8i/crypto/Makefile.old 2006-02-03 17:48:41.000000000 -0800
+++ openssl-0.9.8i/crypto/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -45,7 +45,7 @@
ALL= $(GENERAL) $(SRC) $(HEADER)

top:
- @(cd ..; $(MAKE) DIRS=$(DIR) all)
+ $(Q)(cd ..; $(MAKE) DIRS=$(DIR) all)

all: shared

@@ -79,24 +79,24 @@
[ -z "$(THIS)" ] || ( if echo ${SDIRS} | fgrep ' des '; \
then cd des && $(MAKE) -e des; fi )
[ -z "$(THIS)" ] || ( cd pkcs7 && $(MAKE) -e testapps );
- @if [ -z "$(THIS)" ]; then $(MAKE) -f $(TOP)/Makefile reflect THIS=$@; fi
+ $(Q)if [ -z "$(THIS)" ]; then $(MAKE) -f $(TOP)/Makefile reflect THIS=$@; fi

subdirs:
- @target=all; $(RECURSIVE_MAKE)
+ $(Q)target=all; $(RECURSIVE_MAKE)

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO
- @target=files; $(RECURSIVE_MAKE)
+ $(Q)target=files; $(RECURSIVE_MAKE)

links:
- @$(PERL) $(TOP)/util/mklink.pl ../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../apps $(APPS)
- @target=links; $(RECURSIVE_MAKE)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../apps $(APPS)
+ $(Q)target=links; $(RECURSIVE_MAKE)

# lib: and $(LIB): are splitted to avoid end-less loop
lib: $(LIB)
- @touch lib
+ $(Q)touch lib
$(LIB): $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
@@ -107,35 +107,35 @@
fi

libs:
- @target=lib; $(RECURSIVE_MAKE)
+ $(Q)target=lib; $(RECURSIVE_MAKE)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ;\
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ;\
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
done;
- @target=install; $(RECURSIVE_MAKE)
+ $(Q)target=install; $(RECURSIVE_MAKE)

lint:
- @target=lint; $(RECURSIVE_MAKE)
+ $(Q)target=lint; $(RECURSIVE_MAKE)

depend:
- @[ -z "$(THIS)" -o -f buildinf.h ] || touch buildinf.h # fake buildinf.h if it does not exist
- @[ -z "$(THIS)" ] || $(MAKEDEPEND) -- $(CFLAG) $(INCLUDE) $(DEPFLAG) -- $(PROGS) $(LIBSRC)
- @[ -z "$(THIS)" -o -s buildinf.h ] || rm buildinf.h
- @[ -z "$(THIS)" ] || (set -e; target=depend; $(RECURSIVE_MAKE) )
- @if [ -z "$(THIS)" ]; then $(MAKE) -f $(TOP)/Makefile reflect THIS=$@; fi
+ $(Q)[ -z "$(THIS)" -o -f buildinf.h ] || touch buildinf.h # fake buildinf.h if it does not exist
+ $(Q)[ -z "$(THIS)" ] || $(MAKEDEPEND) -- $(CFLAG) $(INCLUDE) $(DEPFLAG) -- $(PROGS) $(LIBSRC)
+ $(Q)[ -z "$(THIS)" -o -s buildinf.h ] || rm buildinf.h
+ $(Q)[ -z "$(THIS)" ] || (set -e; target=depend; $(RECURSIVE_MAKE) )
+ $(Q)if [ -z "$(THIS)" ]; then $(MAKE) -f $(TOP)/Makefile reflect THIS=$@; fi

clean:
rm -f buildinf.h *.s *.o */*.o *.obj lib tags core .pure .nfs* *.old *.bak fluff
- @target=clean; $(RECURSIVE_MAKE)
+ $(Q)target=clean; $(RECURSIVE_MAKE)

dclean:
$(PERL) -pe 'if (/^# DO NOT DELETE THIS LINE/) {print; exit(0);}' $(MAKEFILE) >Makefile.new
mv -f Makefile.new $(MAKEFILE)
- @target=dclean; $(RECURSIVE_MAKE)
+ $(Q)target=dclean; $(RECURSIVE_MAKE)

# DO NOT DELETE THIS LINE -- make depend depends on it.

--- openssl-0.9.8i/engines/Makefile.old 2008-11-09 11:25:52.000000000 -0800
+++ openssl-0.9.8i/engines/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -65,7 +65,7 @@
all: lib

lib: $(LIBOBJ)
- @if [ -n "$(SHARED_LIBS)" ]; then \
+ $(Q)if [ -n "$(SHARED_LIBS)" ]; then \
set -e; \
for l in $(LIBNAMES); do \
$(MAKE) -f ../Makefile.shared -e \
@@ -89,8 +89,8 @@
# dlfcn_name_converter and therefore stores the engines with .so suffix, too.
# XXXXX This was extended to HP-UX dl targets, which use .sl suffix.
install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @if [ -n "$(SHARED_LIBS)" ]; then \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)if [ -n "$(SHARED_LIBS)" ]; then \
set -e; \
for l in $(LIBNAMES); do \
( echo installing $$l; \
@@ -126,7 +126,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @if [ -z "$(THIS)" ]; then \
+ $(Q)if [ -z "$(THIS)" ]; then \
$(MAKE) -f $(TOP)/Makefile reflect THIS=$@; \
else \
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC); \
--- openssl-0.9.8i/ssl/Makefile.old 2008-09-14 09:43:37.000000000 -0700
+++ openssl-0.9.8i/ssl/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -58,7 +58,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

shared: lib
if [ -n "$(SHARED_LIBS)" ]; then \
@@ -69,13 +69,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -90,7 +90,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @if [ -z "$(THIS)" ]; then \
+ $(Q)if [ -z "$(THIS)" ]; then \
$(MAKE) -f $(TOP)/Makefile reflect THIS=$@; \
else \
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC); \
--- openssl-0.9.8i/test/Makefile.old 2008-09-14 09:43:37.000000000 -0700
+++ openssl-0.9.8i/test/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -110,7 +110,7 @@

generate: $(SRC)
$(SRC):
- @sh $(TOP)/util/point.sh dummytest.c $@
+ $(Q)sh $(TOP)/util/point.sh dummytest.c $@

errors:

@@ -122,7 +122,7 @@
tests: exe apps $(TESTS)

apps:
- @(cd ..; $(MAKE) DIRS=apps all)
+ $(Q)(cd ..; $(MAKE) DIRS=apps all)

alltests: \
test_des test_idea test_sha test_md4 test_md5 test_hmac \
@@ -196,29 +196,29 @@
sh ./tx509 v3-cert2.pem 2>/dev/null

test_rsa: $(RSATEST)$(EXE_EXT)
- @sh ./trsa 2>/dev/null
+ $(Q)sh ./trsa 2>/dev/null
../util/shlib_wrap.sh ./$(RSATEST)

test_crl:
- @sh ./tcrl 2>/dev/null
+ $(Q)sh ./tcrl 2>/dev/null

test_sid:
- @sh ./tsid 2>/dev/null
+ $(Q)sh ./tsid 2>/dev/null

test_req:
- @sh ./treq 2>/dev/null
- @sh ./treq testreq2.pem 2>/dev/null
+ $(Q)sh ./treq 2>/dev/null
+ $(Q)sh ./treq testreq2.pem 2>/dev/null

test_pkcs7:
- @sh ./tpkcs7 2>/dev/null
- @sh ./tpkcs7d 2>/dev/null
+ $(Q)sh ./tpkcs7 2>/dev/null
+ $(Q)sh ./tpkcs7d 2>/dev/null

test_bn:
@echo starting big number library test, could take a while...
- @../util/shlib_wrap.sh ./$(BNTEST) >tmp.bntest
+ $(Q)../util/shlib_wrap.sh ./$(BNTEST) >tmp.bntest
@echo quit >>tmp.bntest
@echo "running bc"
- @) {if (/^test (.*)/) {print STDERR "\nverify $$1";} elsif (!/^0$$/) {die "\nFailed! bc: $$_";} else {print STDERR "."; $$i++;}} print STDERR "\n$$i tests passed\n"'
+ $(Q)) {if (/^test (.*)/) {print STDERR "\nverify $$1";} elsif (!/^0$$/) {die "\nFailed! bc: $$_";} else {print STDERR "."; $$i++;}} print STDERR "\n$$i tests passed\n"'
@echo 'test a^b%c implementations'
../util/shlib_wrap.sh ./$(EXPTEST)

@@ -250,14 +250,14 @@

test_gen:
@echo "Generate and verify a certificate request"
- @sh ./testgen
+ $(Q)sh ./testgen

test_ss keyU.ss certU.ss certCA.ss certP1.ss keyP1.ss certP2.ss keyP2.ss \
intP1.ss intP2.ss: testss
@echo "Generate and certify a test certificate"
- @sh ./testss
- @cat certCA.ss certU.ss > intP1.ss
- @cat certCA.ss certU.ss certP1.ss > intP2.ss
+ $(Q)sh ./testss
+ $(Q)cat certCA.ss certU.ss > intP1.ss
+ $(Q)cat certCA.ss certU.ss certP1.ss > intP2.ss

test_engine:
@echo "Manipulate the ENGINE structures"
@@ -267,12 +267,12 @@
intP1.ss intP2.ss
@echo "test SSL protocol"
../util/shlib_wrap.sh ./$(SSLTEST) -test_cipherlist
- @sh ./testssl keyU.ss certU.ss certCA.ss
- @sh ./testsslproxy keyP1.ss certP1.ss intP1.ss
- @sh ./testsslproxy keyP2.ss certP2.ss intP2.ss
+ $(Q)sh ./testssl keyU.ss certU.ss certCA.ss
+ $(Q)sh ./testsslproxy keyP1.ss certP1.ss intP1.ss
+ $(Q)sh ./testsslproxy keyP2.ss certP2.ss intP2.ss

test_ca:
- @if ../util/shlib_wrap.sh ../apps/openssl no-rsa; then \
+ $(Q)if ../util/shlib_wrap.sh ../apps/openssl no-rsa; then \
echo "skipping CA.sh test -- requires RSA"; \
else \
echo "Generate and certify a test certificate via the 'ca' program"; \
@@ -291,7 +291,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @if [ -z "$(THIS)" ]; then \
+ $(Q)if [ -z "$(THIS)" ]; then \
$(MAKE) -f $(TOP)/Makefile reflect THIS=$@; \
else \
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(SRC); \
@@ -320,97 +320,97 @@
link_app.$${shlib_target}

$(RSATEST)$(EXE_EXT): $(RSATEST).o $(DLIBCRYPTO)
- @target=$(RSATEST); $(BUILD_CMD)
+ $(Q)target=$(RSATEST); $(BUILD_CMD)

$(BNTEST)$(EXE_EXT): $(BNTEST).o $(DLIBCRYPTO)
- @target=$(BNTEST); $(BUILD_CMD)
+ $(Q)target=$(BNTEST); $(BUILD_CMD)

$(ECTEST)$(EXE_EXT): $(ECTEST).o $(DLIBCRYPTO)
- @target=$(ECTEST); $(BUILD_CMD)
+ $(Q)target=$(ECTEST); $(BUILD_CMD)

$(EXPTEST)$(EXE_EXT): $(EXPTEST).o $(DLIBCRYPTO)
- @target=$(EXPTEST); $(BUILD_CMD)
+ $(Q)target=$(EXPTEST); $(BUILD_CMD)

$(IDEATEST)$(EXE_EXT): $(IDEATEST).o $(DLIBCRYPTO)
- @target=$(IDEATEST); $(BUILD_CMD)
+ $(Q)target=$(IDEATEST); $(BUILD_CMD)

$(MD2TEST)$(EXE_EXT): $(MD2TEST).o $(DLIBCRYPTO)
- @target=$(MD2TEST); $(BUILD_CMD)
+ $(Q)target=$(MD2TEST); $(BUILD_CMD)

$(SHATEST)$(EXE_EXT): $(SHATEST).o $(DLIBCRYPTO)
- @target=$(SHATEST); $(BUILD_CMD)
+ $(Q)target=$(SHATEST); $(BUILD_CMD)

$(SHA1TEST)$(EXE_EXT): $(SHA1TEST).o $(DLIBCRYPTO)
- @target=$(SHA1TEST); $(BUILD_CMD)
+ $(Q)target=$(SHA1TEST); $(BUILD_CMD)

$(SHA256TEST)$(EXE_EXT): $(SHA256TEST).o $(DLIBCRYPTO)
- @target=$(SHA256TEST); $(BUILD_CMD)
+ $(Q)target=$(SHA256TEST); $(BUILD_CMD)

$(SHA512TEST)$(EXE_EXT): $(SHA512TEST).o $(DLIBCRYPTO)
- @target=$(SHA512TEST); $(BUILD_CMD)
+ $(Q)target=$(SHA512TEST); $(BUILD_CMD)

$(RMDTEST)$(EXE_EXT): $(RMDTEST).o $(DLIBCRYPTO)
- @target=$(RMDTEST); $(BUILD_CMD)
+ $(Q)target=$(RMDTEST); $(BUILD_CMD)

$(MDC2TEST)$(EXE_EXT): $(MDC2TEST).o $(DLIBCRYPTO)
- @target=$(MDC2TEST); $(BUILD_CMD)
+ $(Q)target=$(MDC2TEST); $(BUILD_CMD)

$(MD4TEST)$(EXE_EXT): $(MD4TEST).o $(DLIBCRYPTO)
- @target=$(MD4TEST); $(BUILD_CMD)
+ $(Q)target=$(MD4TEST); $(BUILD_CMD)

$(MD5TEST)$(EXE_EXT): $(MD5TEST).o $(DLIBCRYPTO)
- @target=$(MD5TEST); $(BUILD_CMD)
+ $(Q)target=$(MD5TEST); $(BUILD_CMD)

$(HMACTEST)$(EXE_EXT): $(HMACTEST).o $(DLIBCRYPTO)
- @target=$(HMACTEST); $(BUILD_CMD)
+ $(Q)target=$(HMACTEST); $(BUILD_CMD)

$(RC2TEST)$(EXE_EXT): $(RC2TEST).o $(DLIBCRYPTO)
- @target=$(RC2TEST); $(BUILD_CMD)
+ $(Q)target=$(RC2TEST); $(BUILD_CMD)

$(BFTEST)$(EXE_EXT): $(BFTEST).o $(DLIBCRYPTO)
- @target=$(BFTEST); $(BUILD_CMD)
+ $(Q)target=$(BFTEST); $(BUILD_CMD)

$(CASTTEST)$(EXE_EXT): $(CASTTEST).o $(DLIBCRYPTO)
- @target=$(CASTTEST); $(BUILD_CMD)
+ $(Q)target=$(CASTTEST); $(BUILD_CMD)

$(RC4TEST)$(EXE_EXT): $(RC4TEST).o $(DLIBCRYPTO)
- @target=$(RC4TEST); $(BUILD_CMD)
+ $(Q)target=$(RC4TEST); $(BUILD_CMD)

$(RC5TEST)$(EXE_EXT): $(RC5TEST).o $(DLIBCRYPTO)
- @target=$(RC5TEST); $(BUILD_CMD)
+ $(Q)target=$(RC5TEST); $(BUILD_CMD)

$(DESTEST)$(EXE_EXT): $(DESTEST).o $(DLIBCRYPTO)
- @target=$(DESTEST); $(BUILD_CMD)
+ $(Q)target=$(DESTEST); $(BUILD_CMD)

$(RANDTEST)$(EXE_EXT): $(RANDTEST).o $(DLIBCRYPTO)
- @target=$(RANDTEST); $(BUILD_CMD)
+ $(Q)target=$(RANDTEST); $(BUILD_CMD)

$(DHTEST)$(EXE_EXT): $(DHTEST).o $(DLIBCRYPTO)
- @target=$(DHTEST); $(BUILD_CMD)
+ $(Q)target=$(DHTEST); $(BUILD_CMD)

$(DSATEST)$(EXE_EXT): $(DSATEST).o $(DLIBCRYPTO)
- @target=$(DSATEST); $(BUILD_CMD)
+ $(Q)target=$(DSATEST); $(BUILD_CMD)

$(METHTEST)$(EXE_EXT): $(METHTEST).o $(DLIBCRYPTO)
- @target=$(METHTEST); $(BUILD_CMD)
+ $(Q)target=$(METHTEST); $(BUILD_CMD)

$(SSLTEST)$(EXE_EXT): $(SSLTEST).o $(DLIBSSL) $(DLIBCRYPTO)
- @target=$(SSLTEST); $(BUILD_CMD)
+ $(Q)target=$(SSLTEST); $(BUILD_CMD)

$(ENGINETEST)$(EXE_EXT): $(ENGINETEST).o $(DLIBCRYPTO)
- @target=$(ENGINETEST); $(BUILD_CMD)
+ $(Q)target=$(ENGINETEST); $(BUILD_CMD)

$(EVPTEST)$(EXE_EXT): $(EVPTEST).o $(DLIBCRYPTO)
- @target=$(EVPTEST); $(BUILD_CMD)
+ $(Q)target=$(EVPTEST); $(BUILD_CMD)

$(ECDSATEST)$(EXE_EXT): $(ECDSATEST).o $(DLIBCRYPTO)
- @target=$(ECDSATEST); $(BUILD_CMD)
+ $(Q)target=$(ECDSATEST); $(BUILD_CMD)

$(ECDHTEST)$(EXE_EXT): $(ECDHTEST).o $(DLIBCRYPTO)
- @target=$(ECDHTEST); $(BUILD_CMD)
+ $(Q)target=$(ECDHTEST); $(BUILD_CMD)

$(IGETEST)$(EXE_EXT): $(IGETEST).o $(DLIBCRYPTO)
- @target=$(IGETEST); $(BUILD_CMD)
+ $(Q)target=$(IGETEST); $(BUILD_CMD)

#$(AESTEST).o: $(AESTEST).c
# $(CC) -c $(CFLAGS) -DINTERMEDIATE_VALUE_KAT -DTRACE_KAT_MCT $(AESTEST).c
@@ -423,7 +423,7 @@
# fi

dummytest$(EXE_EXT): dummytest.o $(DLIBCRYPTO)
- @target=dummytest$; $(BUILD_CMD)
+ $(Q)target=dummytest$; $(BUILD_CMD)

# DO NOT DELETE THIS LINE -- make depend depends on it.

--- openssl-0.9.8i/tools/Makefile.old 2006-02-03 17:49:36.000000000 -0800
+++ openssl-0.9.8i/tools/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -19,14 +19,14 @@
all:

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @for i in $(APPS) ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)for i in $(APPS) ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new; \
chmod 755 $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new; \
mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i.new $(INSTALL_PREFIX)$(INSTALLTOP)/bin/$$i ); \
done;
- @for i in $(MISC_APPS) ; \
+ $(Q)for i in $(MISC_APPS) ; \
do \
(cp $$i $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i.new; \
chmod 755 $(INSTALL_PREFIX)$(OPENSSLDIR)/misc/$$i.new; \
--- openssl-0.9.8i/crypto/aes/Makefile.old 2008-04-03 16:18:24.000000000 -0700
+++ openssl-0.9.8i/crypto/aes/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -43,7 +43,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

$(LIBOBJ): $(LIBSRC)

@@ -64,13 +64,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -85,7 +85,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/asn1/Makefile.old 2008-04-03 16:18:24.000000000 -0700
+++ openssl-0.9.8i/crypto/asn1/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -65,19 +65,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -92,7 +92,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by top Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by top Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/bf/Makefile.old 2006-02-03 17:48:44.000000000 -0800
+++ openssl-0.9.8i/crypto/bf/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -42,7 +42,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
bx86-elf.s: asm/bf-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
@@ -58,16 +58,16 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

# We need to use force because 'install' matches 'INSTALL' on case
# insensitive systems
FRC.install:
install: FRC.install
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -82,7 +82,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/bio/Makefile.old 2006-02-03 17:48:47.000000000 -0800
+++ openssl-0.9.8i/crypto/bio/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -47,19 +47,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -74,7 +74,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/bn/Makefile.old 2008-07-17 03:00:18.000000000 -0700
+++ openssl-0.9.8i/crypto/bn/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -60,7 +60,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
bn86-elf.s: asm/bn-586.pl ../perlasm/x86asm.pl
@@ -90,7 +90,7 @@
$(CC) $(CFLAGS) -c asm/sparcv8plus.S

bn-mips3.o: asm/mips3.s
- @if [ "$(CC)" = "gcc" ]; then \
+ $(Q)if [ "$(CC)" = "gcc" ]; then \
ABI=`expr "$(CFLAGS)" : ".*-mabi=\([n3264]*\)"` && \
as -$$ABI -O -o $@ asm/mips3.s; \
else $(CC) -c $(CFLAGS) -o $@ asm/mips3.s; fi
@@ -122,13 +122,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -151,7 +151,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/buffer/Makefile.old 2006-02-03 17:48:52.000000000 -0800
+++ openssl-0.9.8i/crypto/buffer/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/camellia/Makefile.old 2006-12-02 03:57:40.000000000 -0800
+++ openssl-0.9.8i/crypto/camellia/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -43,7 +43,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

$(LIBOBJ): $(LIBSRC)

@@ -52,13 +52,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -73,7 +73,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/cast/Makefile.old 2006-02-03 17:48:53.000000000 -0800
+++ openssl-0.9.8i/crypto/cast/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -40,7 +40,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
cx86-elf.s: asm/cast-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
@@ -56,13 +56,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -77,7 +77,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/cms/Makefile.old 2008-04-03 16:03:44.000000000 -0700
+++ openssl-0.9.8i/crypto/cms/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -39,19 +39,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -66,7 +66,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/comp/Makefile.old 2006-02-03 17:48:54.000000000 -0800
+++ openssl-0.9.8i/crypto/comp/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -38,19 +38,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -65,7 +65,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/conf/Makefile.old 2006-02-03 17:48:55.000000000 -0800
+++ openssl-0.9.8i/crypto/conf/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -38,19 +38,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -65,7 +65,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/des/Makefile.old 2006-02-03 17:48:56.000000000 -0800
+++ openssl-0.9.8i/crypto/des/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -56,7 +56,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

des: des.o cbc3_enc.o lib
$(CC) $(CFLAGS) -o des des.o cbc3_enc.o $(LIB)
@@ -84,16 +84,16 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

# We need to use force because 'install' matches 'INSTALL' on case
# insensitive systems
FRC.install:
install: FRC.install
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -108,7 +108,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/dh/Makefile.old 2008-09-14 09:43:33.000000000 -0700
+++ openssl-0.9.8i/crypto/dh/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/dsa/Makefile.old 2008-09-14 09:43:33.000000000 -0700
+++ openssl-0.9.8i/crypto/dsa/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -37,19 +37,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -64,7 +64,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/dso/Makefile.old 2006-02-03 17:48:59.000000000 -0800
+++ openssl-0.9.8i/crypto/dso/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -37,19 +37,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -64,7 +64,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ecdh/Makefile.old 2008-09-14 09:43:33.000000000 -0700
+++ openssl-0.9.8i/crypto/ecdh/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,19 +36,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -63,7 +63,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ecdsa/Makefile.old 2008-09-14 09:43:34.000000000 -0700
+++ openssl-0.9.8i/crypto/ecdsa/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,19 +36,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -63,7 +63,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ec/Makefile.old 2005-05-16 09:55:24.000000000 -0700
+++ openssl-0.9.8i/crypto/ec/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -40,19 +40,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -67,7 +67,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/engine/Makefile.old 2008-09-14 09:43:34.000000000 -0700
+++ openssl-0.9.8i/crypto/engine/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -43,19 +43,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -70,7 +70,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/err/Makefile.old 2008-04-03 16:18:26.000000000 -0700
+++ openssl-0.9.8i/crypto/err/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/evp/Makefile.old 2008-09-14 09:43:34.000000000 -0700
+++ openssl-0.9.8i/crypto/evp/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -57,20 +57,20 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
cp $(TESTDATA) ../../test
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -85,7 +85,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/hmac/Makefile.old 2006-02-03 17:49:03.000000000 -0800
+++ openssl-0.9.8i/crypto/hmac/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/idea/Makefile.old 2006-02-03 17:49:04.000000000 -0800
+++ openssl-0.9.8i/crypto/idea/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/krb5/Makefile.old 2005-05-16 09:55:29.000000000 -0700
+++ openssl-0.9.8i/crypto/krb5/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,19 +36,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -63,7 +63,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/lhash/Makefile.old 2006-02-03 17:49:05.000000000 -0800
+++ openssl-0.9.8i/crypto/lhash/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/md2/Makefile.old 2006-02-03 17:49:06.000000000 -0800
+++ openssl-0.9.8i/crypto/md2/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/md4/Makefile.old 2006-02-03 17:49:07.000000000 -0800
+++ openssl-0.9.8i/crypto/md4/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,19 +36,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -63,7 +63,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/md5/Makefile.old 2007-11-11 05:34:05.000000000 -0800
+++ openssl-0.9.8i/crypto/md5/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -40,7 +40,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
mx86-elf.s: asm/md5-586.pl ../perlasm/x86asm.pl
@@ -58,13 +58,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -79,7 +79,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/mdc2/Makefile.old 2006-02-03 17:49:10.000000000 -0800
+++ openssl-0.9.8i/crypto/mdc2/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/objects/Makefile.old 2008-04-03 16:18:27.000000000 -0700
+++ openssl-0.9.8i/crypto/objects/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,7 +36,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

obj_dat.h: obj_dat.pl obj_mac.h
$(PERL) obj_dat.pl obj_mac.h obj_dat.h
@@ -44,19 +44,19 @@
# objects.pl both reads and writes obj_mac.num
obj_mac.h: objects.pl objects.txt obj_mac.num
$(PERL) objects.pl objects.txt obj_mac.num obj_mac.h
- @sleep 1; touch obj_mac.h; sleep 1
+ $(Q)sleep 1; touch obj_mac.h; sleep 1

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -71,7 +71,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ocsp/Makefile.old 2005-05-16 09:55:33.000000000 -0700
+++ openssl-0.9.8i/crypto/ocsp/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -38,19 +38,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -65,7 +65,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/pem/Makefile.old 2006-02-03 17:49:12.000000000 -0800
+++ openssl-0.9.8i/crypto/pem/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -38,19 +38,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links: $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -65,7 +65,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/pkcs12/Makefile.old 2006-02-03 17:49:13.000000000 -0800
+++ openssl-0.9.8i/crypto/pkcs12/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -41,19 +41,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -68,7 +68,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/pkcs7/Makefile.old 2006-02-03 17:49:17.000000000 -0800
+++ openssl-0.9.8i/crypto/pkcs7/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -56,19 +56,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -83,7 +83,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/pqueue/Makefile.old 2006-02-03 17:49:18.000000000 -0800
+++ openssl-0.9.8i/crypto/pqueue/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/rand/Makefile.old 2008-09-14 09:43:35.000000000 -0700
+++ openssl-0.9.8i/crypto/rand/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -37,19 +37,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -64,7 +64,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/rc2/Makefile.old 2006-02-03 17:49:20.000000000 -0800
+++ openssl-0.9.8i/crypto/rc2/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/rc4/Makefile.old 2007-11-11 08:25:45.000000000 -0800
+++ openssl-0.9.8i/crypto/rc4/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -39,7 +39,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
rx86-elf.s: asm/rc4-586.pl ../perlasm/x86asm.pl
@@ -54,7 +54,7 @@
rc4-x86_64.s: asm/rc4-x86_64.pl; $(PERL) asm/rc4-x86_64.pl $@

rc4-ia64.s: asm/rc4-ia64.S
- @case `awk '/^#define RC4_INT/{print$$NF}' $(TOP)/include/openssl/opensslconf.h` in \
+ $(Q)case `awk '/^#define RC4_INT/{print$$NF}' $(TOP)/include/openssl/opensslconf.h` in \
int) set -x; $(CC) $(CFLAGS) -DSZ=4 -E asm/rc4-ia64.S > $@ ;; \
char) set -x; $(CC) $(CFLAGS) -DSZ=1 -E asm/rc4-ia64.S > $@ ;; \
*) exit 1 ;; \
@@ -64,13 +64,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -85,7 +85,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/rc5/Makefile.old 2006-02-03 17:49:25.000000000 -0800
+++ openssl-0.9.8i/crypto/rc5/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -42,7 +42,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
r586-elf.s: asm/rc5-586.pl ../perlasm/x86asm.pl ../perlasm/cbc.pl
@@ -58,13 +58,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -79,7 +79,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ripemd/Makefile.old 2006-02-03 17:49:26.000000000 -0800
+++ openssl-0.9.8i/crypto/ripemd/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -40,7 +40,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
rm86-elf.s: asm/rmd-586.pl ../perlasm/x86asm.pl
@@ -56,13 +56,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -77,7 +77,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/rsa/Makefile.old 2008-09-14 09:43:35.000000000 -0700
+++ openssl-0.9.8i/crypto/rsa/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -39,19 +39,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -66,7 +66,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/seed/Makefile.old 2007-04-23 16:50:10.000000000 -0700
+++ openssl-0.9.8i/crypto/seed/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -36,19 +36,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -63,7 +63,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/sha/Makefile.old 2007-11-11 05:56:47.000000000 -0800
+++ openssl-0.9.8i/crypto/sha/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -40,7 +40,7 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

# ELF
sx86-elf.s: asm/sha1-586.pl ../perlasm/x86asm.pl
@@ -74,13 +74,13 @@
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -95,7 +95,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/stack/Makefile.old 2006-02-03 17:49:29.000000000 -0800
+++ openssl-0.9.8i/crypto/stack/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/store/Makefile.old 2005-05-16 09:55:41.000000000 -0700
+++ openssl-0.9.8i/crypto/store/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -37,19 +37,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -64,7 +64,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/txt_db/Makefile.old 2006-02-03 17:49:30.000000000 -0800
+++ openssl-0.9.8i/crypto/txt_db/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -35,19 +35,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -62,7 +62,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by top Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by top Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/ui/Makefile.old 2005-05-16 09:55:42.000000000 -0700
+++ openssl-0.9.8i/crypto/ui/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -39,19 +39,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -66,7 +66,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/x509/Makefile.old 2006-02-03 17:49:31.000000000 -0800
+++ openssl-0.9.8i/crypto/x509/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -45,19 +45,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile.ssl >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -72,7 +72,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/crypto/x509v3/Makefile.old 2006-11-27 05:36:54.000000000 -0800
+++ openssl-0.9.8i/crypto/x509v3/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -45,19 +45,19 @@
lib: $(LIBOBJ)
$(AR) $(LIB) $(LIBOBJ)
$(RANLIB) $(LIB) || echo Never mind.
- @touch lib
+ $(Q)touch lib

files:
$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
- @$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
- @$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
- @$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
+ $(Q)$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
- @[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- @headerlist="$(EXHEADER)"; for i in $$headerlist ; \
+ $(Q)[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
+ $(Q)headerlist="$(EXHEADER)"; for i in $$headerlist ; \
do \
(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
@@ -72,7 +72,7 @@
lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
- @[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
+ $(Q)[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
--- openssl-0.9.8i/demos/easy_tls/Makefile.old 2001-09-18 02:15:40.000000000 -0700
+++ openssl-0.9.8i/demos/easy_tls/Makefile 2008-11-09 11:29:40.000000000 -0800
@@ -111,10 +111,10 @@
OBJS=easy-tls.o test.o

clean:
- @rm -f test
- @rm -f TAGS
- @rm -f *.o
- @rm -f core
+ $(Q)rm -f test
+ $(Q)rm -f TAGS
+ $(Q)rm -f *.o
+ $(Q)rm -f core

test: $(OBJS)
$(CC) $(OBJS) $(LDFLAGS) -o test